/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.atlas.hdfs.lineage;


public class Constants {

    public static final char   CONFIG_PATH_SEPARATOR                = ',';
    public static final String NAME_NODE_URI_PREFIX                 = "hdfs://";
    public static final String HOST_PORT_DELIMITER                  = ":";
    public static final char   QNAME_SEP_METADATA_NAMESPACE         = '@';
    public static final String HDFS_LINEAGE_CONFIG_PREFIX           = "atlas.hdfs.lineage.";
    public static final String CONFIG_HDFS_NAME_NODE_URI            = HDFS_LINEAGE_CONFIG_PREFIX + "namenode.uri";
    public static final String CONFIG_BLACKLIST_PATHS               = HDFS_LINEAGE_CONFIG_PREFIX + "blacklist.paths";
    public static final String CONFIG_WHITELIST_PATHS               = HDFS_LINEAGE_CONFIG_PREFIX + "whitelist.paths";
    public static final String HDFS_PATH_NAMENODE                   = "hdfs_path_namenode";
    public static final String HDFS_PATH_V2                         = "hdfs_path_v2";
    public static final String ATTRIBUTE_NAME                       = "name";
    public static final String ATTRIBUTE_INPUTS                     = "inputs";
    public static final String ATTRIBUTE_OUTPUTS                    = "outputs";
    public static final String ATTRIBUTE_PATH                       = "path";
    public static final String RELATIONSHIP_DATASET_PROCESS_INPUTS  = "dataset_process_inputs";
    public static final String RELATIONSHIP_PROCESS_DATASET_OUTPUTS = "process_dataset_outputs";
    public static final String CONTAINER                            = "container";
    public static final String HDFS_CONTAINER_CONTAINED             = "hdfs_container_contained";
    public static final String PROCESS_TYPE_ATTR                    = "process_type";
    public static final String PROCESS_TYPE_VAL_HDFS_COPY           = "COPY";
    public static final String PROCESS_TYPE_VAL_HDFS_RENAME         = "RENAME";
    public static final String CREATE_TIME_ATTR                     = "createTime";
    public static final String CREATION_TIME_ATTR                   = "creationTime";
    public static final String ENTITY_ATTR_QNAME                    = "qualifiedName";
    public static final String MOVE_CMD_INDICATOR                   = " -> ";
    public static final String JAAS_CONFIG_PREFIX                   = "atlas.jaas.KafkaClient.option.";
    public static final String JAAS_KEYTAB                          = JAAS_CONFIG_PREFIX + "keyTab";
    public static final String JAAS_PRINCIPAL                       = JAAS_CONFIG_PREFIX + "principal";
    public static final int    EXIT_CODE_SUCCESS                    = 0;
    public static final int    EXIT_CODE_FAILED                     = 1;
    public static final int    EXIT_CODE_HELP                       = 2;
    public static final int    EXIT_CODE_NOT_WHITELISTED            = 3;

}